package org.apache.maven.continuum.web.appareance;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import org.codehaus.plexus.registry.RegistryException;

import java.io.IOException;

/**
 * @author <a href="mailto:olamy@apache.org">olamy</a>
 * @version $Id: AppareanceConfiguration.java 1372267 2012-08-13 05:47:30Z brett $
 * @since 10 nov. 07
 */
public interface AppareanceConfiguration
{

    /**
     * @param footerHtmlContent
     * @throws RegistryException
     */
    public void saveFooter( String footerHtmlContent )
        throws IOException;

    /**
     * If no user configuration a default one will be user
     * with Apache copyright content
     *
     * @return htmlFooter
     */
    public String getFooter();

}
