package org.apache.maven.continuum.web.exception;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

/**
 * Used when authentication is checked during authorization
 * checks within action classes
 *
 * @author <a href="mailto:oching@apache.org">Maria Odea Ching</a>
 * @version $Id: AuthenticationRequiredException.java 729461 2008-12-26 08:38:10Z olamy $
 */
public class AuthenticationRequiredException
    extends Exception
{
    public AuthenticationRequiredException( String string )
    {
        super( string );
    }

    public AuthenticationRequiredException( String string, Throwable throwable )
    {
        super( string, throwable );
    }
}
